import { augmentAnalyticsConfigWithAtomicVersion } from "../../common/interface/analytics-config.js";
function getAnalyticsConfig(commerceEngineConfig, enabled) {
    return {
        enabled,
        ...commerceEngineConfig.analytics,
        ...augmentAnalyticsConfigWithAtomicVersion()
    };
}
export { getAnalyticsConfig };
